Find Reddit users by name
Search for Reddit users by username. Returns matching profile names, descriptions, metadata, and URLs.
/search-users Search https://api.fetchlayer.dev/reddit/search-users Headers
Authorization string required Bearer token — your FetchLayer API key.
Parameters
query string required Username to search for.
limit integer optional Max results. (default: 10)
pages integer optional How many pages of results to return, at most. Each page holds 10 results. If omitted, results continue until `limit` is reached (or the 45s time budget ends, returning partial results with `incompleteReason: "scrape_timeout"`), billed as `ceil(items returned / 10)`. If passed, results are capped at that many pages and billed per page actually returned (see `pagesScraped` in the response).
after string optional Continue where a previous response stopped: pass its nextCursor. Use the same query.
Response Fields
search-users
Find Reddit users by name
requestedUrl string The Reddit URL the request was for.
finalUrl string Final URL after redirects.
listingType string Always search-users for a successful response.
query string User search query.
items[].username string | null Reddit username.
items[].displayName string | null Profile display name.
items[].descriptionText string Plain-text profile description.
items[].descriptionHtml string | null HTML profile description when available.
items[].url string | null Absolute Reddit profile URL.
items[].metaText string | null Metadata text displayed by Reddit.
nextCursor string | null Pass as after, with the same query, to continue exactly where this response stopped; null at the end.
listingTitle string | null Display title of the listing, or null when unavailable.
itemCount number Number of entries returned in items.
nextPageUrl string | null The next page’s address, or null at the end. On endpoints that take `after` it is an api.fetchlayer.dev address: POST it with your key to get the next page (a body is optional; fields you send override the address), or pass its `after` parameter as `after`.
prevPageUrl string | null The previous page’s address (its `before` parameter is the cursor), or null.
pagesRequested number Number of pages requested.
pagesScraped number Pages of results returned. This is what the request is billed at: 1 credit per page actually returned, never per page requested.
scrapedAt string ISO 8601 time the result was produced.
transport string The data source: always the platform id, "reddit".
Request
curl -X POST "https://api.fetchlayer.dev/reddit/search-users" \
-H "Authorization: Bearer ss-your-key" \
-H "Content-Type: application/json" \
-d '{"query":"spez","limit":5}'Response
{
"listingType": "search-users",
"query": "spez",
"items": [
{
"username": "spez",
"displayName": "spez",
"descriptionText": "Reddit profile description.",
"url": "https://www.reddit.com/user/spez/",
"metaText": "Reddit user"
}
],
"itemCount": 1,
"pagesRequested": 1,
"pagesScraped": 1,
"transport": "reddit"
}